
Redmine - Defect #17163

Files assigned to a version can not be deleted if Issue Tracking module is disabled

2014-06-12 04:06 - Michael Esemplare

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.5.3   

Resolution: Fixed Affected version: 2.4.5

Description

Log

Started DELETE "/attachments/1632" for 111.111.111.11 at 2014-06-12 00:37:20 +0000

Processing by AttachmentsController#destroy as HTML

  Parameters: {"authenticity_token"=>"", "id"=>"1632"}

  Current user: user

  Rendered common/error.html.erb within layouts/base (0.2ms)

Filter chain halted as :delete_authorize rendered or redirected

Steps to recreate:

1. Go to Project Settings Tab

2. Create Version if one does not exist

3. Disable Issue Tracking

4. Go to Files Tab

5. Create new file and set version

6. Try to delete file

Related to #9055 and #9576.

Associated revisions

Revision 13390 - 2014-09-13 12:17 - Jean-Philippe Lang

Fixed: Files assigned to a version can not be deleted if Issue Tracking module is disabled (#17163).

Patch by Michael Esemplare.

Revision 13397 - 2014-09-14 11:20 - Jean-Philippe Lang

Merged r13390 (#17163).

History

#1 - 2014-06-12 07:31 - Toshi MARUYAMA

- Description updated

#2 - 2014-08-15 03:59 - Michael Esemplare

- File 0001-Fixes-Files-assigned-to-a-version-can-not-be-deleted.patch added

Uploaded patch against trunk with updated test case.

#3 - 2014-09-13 07:02 - Toshi MARUYAMA

- Target version set to 2.5.3

#4 - 2014-09-13 12:17 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
https://www.redmine.org/issues/9055
https://www.redmine.org/issues/9576


Patch committed in r13390, thanks.

#5 - 2014-09-14 11:20 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

0001-Fixes-Files-assigned-to-a-version-can-not-be-deleted.patch 1.68 KB 2014-08-15 Michael Esemplare
